Skip to main content
GET
/
payment
/
open
/
institution
/
v2
/
pay
/
refund
/
details
Refund Detail
curl --request GET \
  --url https://openplatform.gateapi.io/payment/open/institution/v2/pay/refund/details \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
{
  "status": "<string>",
  "code": "<string>",
  "errorMessage": "<string>",
  "data": {
    "refundRequestId": "<string>",
    "gateRefundId": "<string>",
    "refundId": "<string>",
    "orderId": "<string>",
    "merchantTradeNo": "<string>",
    "createTime": 123,
    "transactTime": 123,
    "transactionId": "<string>",
    "txHash": "<string>",
    "orderAmount": "<string>",
    "orderCurrency": "<string>",
    "requestAmount": "<string>",
    "requestCurrency": "<string>",
    "amount": "<string>",
    "currency": "<string>",
    "status": "<string>",
    "remark": "<string>",
    "refund_style": "<string>",
    "refund_pay_channel": "<string>",
    "refund_address": "<string>",
    "refund_chain": "<string>",
    "refund_bear_type": "<string>",
    "refund_fail_reason": "<string>",
    "refund_to_gate_uid": "<string>",
    "refundDetails": [
      {
        "transactionId": "<string>",
        "transactTime": 123,
        "payChannel": "<string>",
        "status": "<string>",
        "amount": "<string>",
        "currency": "<string>",
        "chain": "<string>",
        "address": "<string>"
      }
    ]
  }
}

Headers

X-GatePay-Certificate-ClientId
string
required

The clientId assigned when the merchant registers an application in the Gate merchant console.

Example:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
required

Request signature. GatePay uses this signature to verify whether the request is valid.

X-GatePay-Timestamp
string
required

UTC timestamp in milliseconds when the request is generated. GatePay will not process requests where the difference from the receive time exceeds 10 seconds.

Example:

"1672905655498"

X-GatePay-Nonce
string
required

Random string. Must comply with HTTP header rules; recommended length is within 32 characters, composed of digits and letters.

Example:

"9578"

X-GatePay-On-Behalf-Of
string
required

The institution account id being acted on behalf of (sub-account ID).

Example:

"2124538349"

Query Parameters

refundRequestId
string
required

Merchant refund ID; unique, max 32 characters.

Response

200 - application/json

Success

status
string
code
string
errorMessage
string
data
object